@echo off


rem configure some variables

rem change IP address and port # to suit network environment
set port=e192.168.0.11 b8027
rem Comment out line above and uncomment line below to use serial com port 1 instead of ethernet
rem set port=C1

rem change value after "t" for use with more than one reigster
set Registers=f1 t1


rem Store #.. Default=0  Change only if necessary
set Store=I0

rem Set Desired Report type... (Valid Choices are X aqnd Z)
SET rpt=X


echo.
echo.
echo communicating via %port% to store %store% and registers in the range of %Registers%
echo Polling %rpt% Reports
echo.
echo.


pause

REM Get configuration from register 1

echo Uploading memory allocation
wca530 %Store% f1 t1 %port% nmemalloc.txt -u 363  
echo.
echo.

echo Checking Register Status
wca530 %Store% f1 t1 %port% nStatus.txt -s
echo.
echo. Make sure all machines are online and communicating by reading the STATUS.txt before continuing.
pause


REM Start getting reports

echo Pre-Polling %rpt% reports
wca530 %Store% %Registers% %port% p110101 -%rpt%
echo.
echo.

echo Polling Group report
wca530 %Store% %Registers% %port% nGroupSales.txt -p 287
echo.
echo.

echo Polling Financial report
wca530 %Store% %Registers% %port% nFinSale.txt -p 288
echo.
echo.

echo Polling PLU report
wca530 %Store% %Registers% %port% nPLUSales.txt -p 292
echo.
echo.


echo Check the log file for communication errors OR
pause

echo.
echo.
echo Report data will now be reset
pause

echo Clearing Consolidation buffer
wca530 %Store% %Registers% %port% -c
echo.
echo.

